> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get projects async

## Field support per integration

<AccordionGroup>
  <Accordion title="AbaConnect" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/abacus.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=e1a1710b2ea6a968fe05f50e6add869c" width="180" height="120" data-path="logo/abacus.svg">
    <Note>
      This endpoint is [asynchronous](/async-task). It returns a `taskId`
      immediately. Poll `/asyncTask/{taskId}` to check status and get the
      final result once it's ready.
    </Note>

    **Immediate response**

    <ResponseField name="taskId" type="string" />

    **Final result** (once the task completes successfully)

    <ResponseField name="responseData" type="object">
      <Expandable title="properties">
        <ResponseField name="id" type="string" />

        <ResponseField name="createdDate" type="string">
          ISO-8601 date format, e.g. `2024-01-01T00:00:00Z`
        </ResponseField>

        <ResponseField name="contactId" type="string" />

        <ResponseField name="currency" type="enum">
          The currency code in ISO 4217 format. For a complete list of
          available values, see our [standardized data](/standardization) section.
        </ResponseField>

        <ResponseField name="description" type="string" />

        <ResponseField name="name" type="string" />

        <ResponseField name="number" type="string" />

        <ResponseField name="parentProjectId" type="string">
          If the project is a sub-project, `parentProjectId` is the ID of the parent project.
        </ResponseField>

        <ResponseField name="status" type="string">
          Available options: `CLOSED`, `ACTIVE`
        </ResponseField>

        <ResponseField name="updatedDate" type="string">
          ISO-8601 date format, e.g. `2024-01-01T00:00:00Z`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/projects/async
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/projects/async:
    get:
      tags:
        - accounting
      operationId: getProjectsAsync
      parameters:
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/TaskIdResponseDto'
                        type: object
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    TaskIdResponseDto:
      type: object
      properties:
        taskId:
          type: string
          example: 02cc5849-b23c-48fe-8a9b-96f74bfc9571
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````